/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package webfly.Vsitas;

/**
 *
 * @author SAMAELCAMARGO
 */
public class VuelosVista extends javax.swing.JFrame {

    /**
     * Creates new form VuelosVista
     */
    public VuelosVista() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLVuelos = new javax.swing.JLabel();
        jLOrigen = new javax.swing.JLabel();
        jTFOrigenVuelo = new javax.swing.JTextField();
        jTFDestinoVuelo = new javax.swing.JTextField();
        jLDestinoVuelo = new javax.swing.JLabel();
        jLOrdenarVuelo = new javax.swing.JLabel();
        jCOrdenarPorVuelo = new javax.swing.JComboBox<>();
        jLFechaVuelo = new javax.swing.JLabel();
        jLDiaVuelo = new javax.swing.JLabel();
        jCDiaVuelo = new javax.swing.JComboBox<>();
        jLMesVuelo = new javax.swing.JLabel();
        jCDiaVuelo1 = new javax.swing.JComboBox<>();
        jCDiaVuelo2 = new javax.swing.JComboBox<>();
        jLMesVuelo1 = new javax.swing.JLabel();
        jBLimpiarFiltroVuelo = new javax.swing.JButton();
        jBFiltroVuelo1 = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTVuelos = new javax.swing.JTable();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Vuelos");

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));

        jLVuelos.setFont(new java.awt.Font("Corbel", 0, 28)); // NOI18N
        jLVuelos.setForeground(new java.awt.Color(0, 153, 153));
        jLVuelos.setText("Vuelos");

        jLOrigen.setFont(new java.awt.Font("Corbel", 0, 20)); // NOI18N
        jLOrigen.setForeground(new java.awt.Color(0, 0, 0));
        jLOrigen.setText("Origen");

        jTFOrigenVuelo.setFont(new java.awt.Font("Corbel", 0, 14)); // NOI18N
        jTFOrigenVuelo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTFOrigenVueloActionPerformed(evt);
            }
        });

        jTFDestinoVuelo.setFont(new java.awt.Font("Corbel", 0, 14)); // NOI18N
        jTFDestinoVuelo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTFDestinoVueloActionPerformed(evt);
            }
        });

        jLDestinoVuelo.setFont(new java.awt.Font("Corbel", 0, 20)); // NOI18N
        jLDestinoVuelo.setForeground(new java.awt.Color(0, 0, 0));
        jLDestinoVuelo.setText("Destino");

        jLOrdenarVuelo.setFont(new java.awt.Font("Corbel", 0, 20)); // NOI18N
        jLOrdenarVuelo.setForeground(new java.awt.Color(0, 0, 0));
        jLOrdenarVuelo.setText("Ordenar por");

        jCOrdenarPorVuelo.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        jCOrdenarPorVuelo.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Seleccione el criterio" }));
        jCOrdenarPorVuelo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCOrdenarPorVueloActionPerformed(evt);
            }
        });

        jLFechaVuelo.setFont(new java.awt.Font("Corbel", 0, 20)); // NOI18N
        jLFechaVuelo.setForeground(new java.awt.Color(0, 0, 0));
        jLFechaVuelo.setText("Fecha");

        jLDiaVuelo.setFont(new java.awt.Font("Corbel", 0, 20)); // NOI18N
        jLDiaVuelo.setForeground(new java.awt.Color(0, 0, 0));
        jLDiaVuelo.setText("Dia");

        jCDiaVuelo.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        jCDiaVuelo.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "01" }));
        jCDiaVuelo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCDiaVueloActionPerformed(evt);
            }
        });

        jLMesVuelo.setFont(new java.awt.Font("Corbel", 0, 20)); // NOI18N
        jLMesVuelo.setForeground(new java.awt.Color(0, 0, 0));
        jLMesVuelo.setText("Mes");

        jCDiaVuelo1.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        jCDiaVuelo1.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Enero" }));
        jCDiaVuelo1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCDiaVuelo1ActionPerformed(evt);
            }
        });

        jCDiaVuelo2.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        jCDiaVuelo2.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "2022" }));
        jCDiaVuelo2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCDiaVuelo2ActionPerformed(evt);
            }
        });

        jLMesVuelo1.setFont(new java.awt.Font("Corbel", 0, 20)); // NOI18N
        jLMesVuelo1.setForeground(new java.awt.Color(0, 0, 0));
        jLMesVuelo1.setText("Año");

        jBLimpiarFiltroVuelo.setFont(new java.awt.Font("Corbel", 0, 14)); // NOI18N
        jBLimpiarFiltroVuelo.setForeground(new java.awt.Color(60, 144, 255));
        jBLimpiarFiltroVuelo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/webfly/Imagenes/limpiarFiltro.png"))); // NOI18N
        jBLimpiarFiltroVuelo.setText("Limpiar Filtro");
        jBLimpiarFiltroVuelo.setBorderPainted(false);
        jBLimpiarFiltroVuelo.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);

        jBFiltroVuelo1.setFont(new java.awt.Font("Corbel", 0, 14)); // NOI18N
        jBFiltroVuelo1.setForeground(new java.awt.Color(60, 144, 255));
        jBFiltroVuelo1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/webfly/Imagenes/filtrar.png"))); // NOI18N
        jBFiltroVuelo1.setText("Filtro");
        jBFiltroVuelo1.setBorderPainted(false);
        jBFiltroVuelo1.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(11, 11, 11)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLOrigen)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTFOrigenVuelo, javax.swing.GroupLayout.PREFERRED_SIZE, 160, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLDestinoVuelo)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jTFDestinoVuelo, javax.swing.GroupLayout.PREFERRED_SIZE, 160, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLOrdenarVuelo)
                        .addGap(18, 18, 18)
                        .addComponent(jCOrdenarPorVuelo, 0, 168, Short.MAX_VALUE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLFechaVuelo)
                        .addGap(42, 42, 42)
                        .addComponent(jLDiaVuelo)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jCDiaVuelo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(36, 36, 36)
                        .addComponent(jLMesVuelo)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jCDiaVuelo1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(40, 40, 40)
                        .addComponent(jLMesVuelo1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jCDiaVuelo2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jBFiltroVuelo1)
                        .addGap(31, 31, 31)
                        .addComponent(jBLimpiarFiltroVuelo)))
                .addGap(12, 12, 12))
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(372, 372, 372)
                .addComponent(jLVuelos)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLVuelos)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLOrigen)
                    .addComponent(jTFOrigenVuelo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLDestinoVuelo)
                    .addComponent(jTFDestinoVuelo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLOrdenarVuelo)
                    .addComponent(jCOrdenarPorVuelo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 16, Short.MAX_VALUE)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jLMesVuelo1)
                        .addComponent(jCDiaVuelo2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(jBLimpiarFiltroVuelo)
                        .addComponent(jBFiltroVuelo1))
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jLMesVuelo)
                        .addComponent(jCDiaVuelo1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jLFechaVuelo)
                        .addComponent(jLDiaVuelo)
                        .addComponent(jCDiaVuelo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        jBLimpiarFiltroVuelo.setFocusPainted(false);
        jBLimpiarFiltroVuelo.setFocusPainted(false);

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));

        jTVuelos.setBackground(new java.awt.Color(255, 255, 255));
        jTVuelos.setForeground(new java.awt.Color(0, 153, 153));
        jTVuelos.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null, null},
                {null, null, null, null, null, null},
                {null, null, null, null, null, null},
                {null, null, null, null, null, null}
            },
            new String [] {
                "", "Aerolínea", "Origen", "Destino", "Precio", "Title 6"
            }
        ) {
            Class[] types = new Class [] {
                java.lang.Object.class, java.lang.String.class, java.lang.String.class, java.lang.String.class, java.lang.String.class, java.lang.Boolean.class
            };
            boolean[] canEdit = new boolean [] {
                false, false, false, false, false, false
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        jScrollPane1.setViewportView(jTVuelos);
        if (jTVuelos.getColumnModel().getColumnCount() > 0) {
            jTVuelos.getColumnModel().getColumn(4).setResizable(false);
        }

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1)
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 287, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(138, 138, 138))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, 293, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jTFOrigenVueloActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTFOrigenVueloActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTFOrigenVueloActionPerformed

    private void jTFDestinoVueloActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTFDestinoVueloActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTFDestinoVueloActionPerformed

    private void jCDiaVueloActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCDiaVueloActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jCDiaVueloActionPerformed

    private void jCOrdenarPorVueloActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCOrdenarPorVueloActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jCOrdenarPorVueloActionPerformed

    private void jCDiaVuelo1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCDiaVuelo1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jCDiaVuelo1ActionPerformed

    private void jCDiaVuelo2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCDiaVuelo2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jCDiaVuelo2ActionPerformed

    /**
     * @param args the command line arguments
     */
    

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jBFiltroVuelo1;
    private javax.swing.JButton jBLimpiarFiltroVuelo;
    private javax.swing.JComboBox<String> jCDiaVuelo;
    private javax.swing.JComboBox<String> jCDiaVuelo1;
    private javax.swing.JComboBox<String> jCDiaVuelo2;
    private javax.swing.JComboBox<String> jCOrdenarPorVuelo;
    private javax.swing.JLabel jLDestinoVuelo;
    private javax.swing.JLabel jLDiaVuelo;
    private javax.swing.JLabel jLFechaVuelo;
    private javax.swing.JLabel jLMesVuelo;
    private javax.swing.JLabel jLMesVuelo1;
    private javax.swing.JLabel jLOrdenarVuelo;
    private javax.swing.JLabel jLOrigen;
    private javax.swing.JLabel jLVuelos;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextField jTFDestinoVuelo;
    private javax.swing.JTextField jTFOrigenVuelo;
    private javax.swing.JTable jTVuelos;
    // End of variables declaration//GEN-END:variables
}
